package com.fs.company.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业账户记录对象 company_money_logs
 * 
 * @author fs
 * @date 2021-10-04
 */
public class CompanyMoneyLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long logsId;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long companyId;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    @Excel(name = "余额")
    private BigDecimal balance;

    @Excel(name = "备注")
    private String remark;

    private Integer logsType;

    private String businessId;

    private Integer type;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public Integer getLogsType() {
        return logsType;
    }

    public void setLogsType(Integer logsType) {
        this.logsType = logsType;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setLogsId(Long logsId)
    {
        this.logsId = logsId;
    }

    public Long getLogsId() 
    {
        return logsId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setMoney(BigDecimal money) 
    {
        this.money = money;
    }

    public BigDecimal getMoney() 
    {
        return money;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("logsId", getLogsId())
            .append("companyId", getCompanyId())
            .append("money", getMoney())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .toString();
    }
}
